Download it now!
Bug 78420 - FILESAVE: File is getting corrupted after exported from LO.
Summary: FILESAVE: File is getting corrupted after exported from LO.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Ravindra Vidhate
URL:
Whiteboard: BSA target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-08 04:55 UTC by Ravindra Vidhate
Modified: 2014-05-16 10:14 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Original File (650.54 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-05-08 04:55 UTC, Ravindra Vidhate
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ravindra Vidhate 2014-05-08 04:55:09 UTC
Created attachment 98662 [details]
Original File

Problem description: 
When we export the file using LO, the file gets corrupted.
It shows Header3.Xml -Some part are missing or invalid.

The DOCX file should have first, even and default headers with images in the headers.

Steps to reproduce:
1. Open DOCX File in LO
2. Export as DOCX file.
3. Try to open the DOCX file in the MS-Office, It shows the file is corrupted and Header3.Xml -Some part are missing or invalid.

Current behavior:
It is not creating .rels file for Header3.xml. While the Header3.xml contains the images.

Expected behavior:
It should create the .rels file correctly.
              
Operating System: All
Version: 4.3.0.0.alpha0+ Master
Comment 1 Jorendc 2014-05-09 20:57:58 UTC
Reproducible, tested using Windows 8.1 with LibreOffice Version: 4.3.0.0.alpha1+
Build ID: e9b2787c2ece4c8260fbac6359257e1829c917d4
TinderBox: Win-x86@39, Branch:master, Time: 2014-05-09_06:36:37

Kind regards,
Joren
Comment 2 Commit Notification 2014-05-13 08:19:29 UTC
Ravindra Vidhate committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c00690d2e579607bb0d8a3582580bd875225bffb

fdo#78420  File is getting corrupted after exported from LO.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.